Bug 626680 - Installing the netdisco package causes incorrect SELinux labeling on /usr/share & /usr/share/*
Summary: Installing the netdisco package causes incorrect SELinux labeling on /usr/sha...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: netdisco (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Walter Gould
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 05:36 UTC by Jeff Raber
Modified: 2011-06-28 14:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 14:06:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Raber 2010-08-24 05:36:11 UTC
Description of problem:
The netdisco package creates the user 'netdisco' with uid > 500, login shell = /bin/bash and homedir=/usr/share/netdisco.  Unfortunately, that combination of attributes causes SELinux to detect /usr/share/netdisco as a USER_HOME_DIR and /usr/share as a 'HOME_ROOT'.  The result is that /usr/share gets labeled as system_u:object_r:home_root_t:s0 and all subdirs (/usr/share/*) are labeled as unconfined_u:object_r:user_home_dir_t:s0.  This causes many thousands of AVC denials and a generally unusable system if running with SELinux enabled.

Version-Release number of selected component (if applicable):
1.0-2.fc13

How reproducible:
I haven't tried, but it should be 100% reproducible.

Steps to Reproduce:
1. Install F13 with SELinux enabled.
2. Install netdisco.
3. 'touch ./autorelabel && reboot' (OR wait until some other process kicks off a relabel (ex. an update to selinux-policy* package)
  
Actual results:
Some services fail to start on boot.  System is VERY slow.  Thousands of AVC's logged.  'audispd: queue is full - dropping event' messages in /var/log/message.  /usr/share is now labeled as system_u:object_r:home_root_t:s0 and the subdirs are labeled as unconfined_u:object_r:user_home_dir_t:s0.  Panic ensues.

Expected results:
/usr/share labeling should not be affected by the installation of netdisco.  Ponies.

Additional info:
To solve this problem on my machine, I simply changed the logon shell in /etc/passwd for netdisco to /sbin/nologin.  Another option would have been to change the UID of that user to a value less than 500.  I then ran 'semodule -B' then 'restorecon -v -R /usr/share' which resulted in the correct labeling being applied to /usr/share and its subdirs.  (Later I performed a complete relabel just to be sure that SELinux was happy)

Comment 1 Jeff Raber 2010-08-24 05:38:34 UTC
This bug is similar to 586271.

Comment 2 Bug Zapper 2011-06-01 10:39:24 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-28 14:06:58 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.